Subject: Re: linux-next: build failure after merge of the bitmap tree

From: Yury Norov <[email-masked]>
Date: Tue, 18 Feb 2025 09:16:34 -0500

On Tue, Feb 18, 2025 at 02:10:25PM +0000, Catalin Marinas wrote:
> Hi Stephen,
> 
> On Wed, Feb 19, 2025 at 12:49:34AM +1100, Stephen Rothwell wrote:
> > On Tue, 18 Feb 2025 11:35:02 +0100 Beata Michalska <[email-masked]> wrote:
> > > I'm currently testing a proper fix for that one.
> > > Should I just send it over as a diff to apply or rather a proper 'fixes' patch?
> > 
> > Maybe a proper 'fixes' patch, please, if easy - otherwise a diff is
> > fine.
> 
> I just talked to Beata off-list. I think she'll try to use the current
> for_each_cpu_wrap() API and avoid conflicts with the cpumask_next_wrap()
> API change.

Hi,

Yes, for_each() loops are always preferable over opencoded iterating.
Please feel free to CC me in case I can help.

Thanks,
Yury